import { FileLoader } from './fileloader';
import { GlTf, GlTfId } from './gltf';
import { LoadingManager } from './loadingmanager';
export declare class GltfAsset {
    gltf: GlTf;
    extensions: any;
    bufferData: BufferData;
    imageData: ImageData;
    constructor(gltf: GlTf, baseUri: string, extensions: any, manager?: LoadingManager);
    bufferViewData(index: GlTfId): Promise<ArrayBuffer>;
}
export declare class BufferData {
    private bufferCache;
    asset: GltfAsset;
    baseUri: string;
    manager: LoadingManager;
    loader: FileLoader;
    constructor(asset: GltfAsset, baseUri: string, manager: LoadingManager);
    get(index: GlTfId): Promise<ArrayBuffer>;
    fetchAll(): Promise<any>;
}
export declare class ImageData {
    baseUri: string;
    manager: LoadingManager;
    constructor(baseUri: string, manager: LoadingManager);
    get(index: GlTfId): Promise<HTMLImageElement>;
    fetchAll(): void;
}
export declare function resolveURL(url: string, path: string): string;
